Bug 194282 - [maintainer update] audio/teamspeak3-server to 3.0.11
Summary: [maintainer update] audio/teamspeak3-server to 3.0.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-10 12:06 UTC by hirner
Modified: 2014-10-27 06:20 UTC (History)
2 users (show)

See Also:


Attachments
audio/teamspeak3-server 3.0.10.3 to 3.0.11 diff (5.69 KB, patch)
2014-10-10 12:06 UTC, hirner
no flags Details | Diff
Updated patch (5.93 KB, patch)
2014-10-26 20:20 UTC, Thomas Zander
riggs: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hirner 2014-10-10 12:06:49 UTC
Created attachment 148161 [details]
audio/teamspeak3-server 3.0.10.3 to 3.0.11 diff

Update to 3.0.11

* removed invalid mirror
* gcc and libiconv dependencies not needed anymore
* WRKSRC has changed ("_" for x86, "-" for amd64)
* bug fix: set correct ownership of /var/log/teamspeak
* some changed files
Comment 1 Thomas Zander freebsd_committer 2014-10-26 20:20:55 UTC
Created attachment 148678 [details]
Updated patch

Some proposed changes:
- Un-silence INSTALL* (it's convention these days) 
- Remove superfluous lines from Makefile (pkg-message is displayed automatically, brokenness with BATCH is implicitly given by omitting auto-accept in LICENSE_PERMS, PORTREVISION is obsolete with PORTVERSION bump)
- Merge pkg-plist with recent cleanup of pkg-plist which was not part of the submission

Let me know if you approve of these, then I can commit the diff. Thanks!
Comment 2 hirner 2014-10-27 00:47:20 UTC
Guess it's OK, but I don't understand what you have done with the pkg-plist? I generate it semi-automatically for every version. What did you change and why?
Comment 3 Thomas Zander freebsd_committer 2014-10-27 06:12:43 UTC
(In reply to hirner from comment #2)
> Guess it's OK, but I don't understand what you have done with the pkg-plist?
> I generate it semi-automatically for every version. What did you change and
> why?

I didn't do much with pkg-plist. There has been a commit by bapt a week ago which is probably the change that you are looking for:

------------------------------------------------------------------------
r371234 | bapt | 2014-10-20 08:35:58 +0200 (Mon, 20 Oct 2014) | 2 lines

Cleanup plist

------------------------------------------------------------------------

The only thing I did was merge your diff with the current version of pkg-plist so it is complete and modernise directory handling from your patch (@dirrm(try) is no longer needed).
Comment 4 commit-hook freebsd_committer 2014-10-27 06:20:00 UTC
A commit references this bug:

Author: riggs
Date: Mon Oct 27 06:19:26 UTC 2014
New revision: 371531
URL: https://svnweb.freebsd.org/changeset/ports/371531

Log:
  - Update to upstream version 3.0.11
  - Remove invalid mirror
  - gcc and libiconv dependencies not needed anymore
  - WRKSRC has changed ("_" for x86, "-" for amd64)
  - Correct ownership of /var/log/teamspeak
  - Un-silence INSTALL*
  - Remove explicit actions which are handled by ports/pkg automatically
    - Display pkg-message.in
    - IGNORE due to license; LICENSE_PERMS does not contain auto-accept

  PR:		194282
  Submitted by:	hirner@bitfire.at (maintainer)
  Reviewed by:	riggs
  Approved by:	hirner@bitfire.at (maintainer)

Changes:
  head/audio/teamspeak3-server/Makefile
  head/audio/teamspeak3-server/distinfo
  head/audio/teamspeak3-server/pkg-plist